> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1receipt payments



## OpenAPI

````yaml /api-reference/openapi.json get /v1/receipt-payments/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/receipt-payments/{id}:
    get:
      tags:
        - ReceiptPayments
      operationId: GetReceiptPaymentById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPayment'
            application/json:
              schema:
                $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPayment'
            text/json:
              schema:
                $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPayment'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ReceiptsReceiptPaymentsReceiptPayment:
      type: object
      properties:
        id:
          type: integer
          format: int64
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        type:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentType'
        statementDescriptor:
          type: string
          nullable: true
        card:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCard'
        cash:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCash'
        bankAccount:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentBankAccount
        external:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentExternal'
        note:
          type: string
          nullable: true
        amount:
          $ref: '#/components/schemas/DTOMoney'
        tip:
          $ref: '#/components/schemas/DTOMoney'
        applicationFee:
          $ref: '#/components/schemas/DTOMoney'
        total:
          $ref: '#/components/schemas/DTOMoney'
        approuved:
          $ref: '#/components/schemas/DTOMoney'
        refunded:
          $ref: '#/components/schemas/DTOMoney'
        paymentProcessingFee:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentProcessingFee
          nullable: true
        status:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentStatus'
        receiptNumber:
          type: string
          nullable: true
        receiptUrl:
          type: string
          nullable: true
        riskEvaluation:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentRiskEvaluation
        refunds:
          type: array
          items:
            $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentRefund'
          nullable: true
        paymentMethodId:
          type: integer
          format: int64
          nullable: true
        paymentMethod:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodResponse'
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DTOBillingAddress:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentType:
      enum:
        - CARD
        - CASH
        - BANK_ACCOUNT
        - EXTERNAL
        - CREDITS
        - OTHER
        - GIFT_CARD
        - CHECK
        - SETTLEMENT
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCard:
      type: object
      properties:
        authorizationCode:
          type: string
          nullable: true
        statementDescriptor:
          type: string
          nullable: true
        paymentMethod:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentMethodCard'
        method:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardEntryMethod
        emv:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCardEMV'
        cvv:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardCvvResult
        avs:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardAvsResult
        timeline:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCardTimeline
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentCash:
      type: object
      properties:
        cashGiven:
          $ref: '#/components/schemas/DTOMoney'
        changeReturned:
          $ref: '#/components/schemas/DTOMoney'
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentBankAccount:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        statementDescriptor:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentExternal:
      type: object
      properties:
        source:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        fee:
          $ref: '#/components/schemas/ModelsMoneySBMoney'
        type:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentExternalType
      additionalProperties: false
    DTOMoney:
      type: object
      properties:
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        conversion:
          $ref: '#/components/schemas/DTOMoneyConversion'
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentProcessingFee:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentProcessingFeeType
        amount:
          $ref: '#/components/schemas/DTOMoney'
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentStatus:
      enum:
        - APPROUVED
        - PENDING
        - COMPLETED
        - CANCELLED
        - FAILED
        - PAID
        - UNPAID
        - OVERDUE
        - PROCESSING
        - REQUIRES_ACTION
        - REFUNDED
        - PARTIALLY_REFUNDED
        - DISPUTED
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentRiskEvaluation:
      type: object
      properties:
        riskLevel:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentRiskLevel'
        riskScore:
          type: integer
          format: int32
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentRefund:
      type: object
      properties:
        id:
          type: integer
          format: int64
      additionalProperties: false
    PaymentMethodsSBPaymentMethodResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        stripeId:
          type: string
          nullable: true
        setupIntentId:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        card:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodCardResponse'
        bankAccount:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodBankResponse'
        giftCard:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodGiftCardResponse'
        type:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        assignedToUserId:
          type: integer
          format: int64
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentMethodCard:
      type: object
      properties:
        cardholderName:
          type: string
          nullable: true
        cardholderFirstName:
          type: string
          nullable: true
        cardholderLastName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        coBrand:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int32
        expirationYear:
          type: integer
          format: int32
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        fingerprint:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardFingerprint'
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentCardEntryMethod:
      enum:
        - MANUAL
        - SWIPED
        - EMV
        - ON_FILE
        - CONTACTLESS
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCardEMV:
      type: object
      properties:
        applicationId:
          type: string
          nullable: true
        applicationName:
          type: string
          nullable: true
        applicationCryptogram:
          type: string
          nullable: true
        cardholderVerificationMethod:
          type: string
          nullable: true
        cardholderVerificationResult:
          type: string
          nullable: true
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentCardCvvResult:
      enum:
        - CVV_MATCHED
        - CVV_NOT_MATCHED
        - CVV_NOT_CHECKED
      type: string
    ModelsReceiptPaymentsSBReceiptPaymentCardAvsResult:
      enum:
        - POSTAL_CODE_ADDRESS_MATCHED
        - POSTAL_CODE_MATCHED_ADDRESS_NOT_CHECKED
        - POSTAL_CODE_MATCHED_ADDRESS_NOT_MATCHED
        - ADDRESS_MATCHED_POSTAL_CODE_NOT_CHECKED
        - POSTAL_CODE_ADDRESS_NOT_CHECKED
        - ADDRESS_MATCHED_POSTAL_CODE_NOT_MATCHED
        - POSTAL_CODE_NOT_CHECKED_ADDRESS_NOT_MATCHED
        - POSTAL_CODE_ADDRESS_NOT_SUPPLIED
        - ADDRESS_NOT_CHECKED_POSTAL_CODE_NOT_MATCHED
        - POSTAL_CODE_ADDRESS_NOT_MATCHED
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCardTimeline:
      type: object
      properties:
        authorizedAt:
          type: string
          format: date-time
          nullable: true
        capturedAt:
          type: string
          format: date-time
          nullable: true
        voidedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsMoneySBMoney:
      type: object
      properties:
        id:
          type: integer
          format: int64
        currency:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        originalAmount:
          type: number
          format: double
          nullable: true
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
          nullable: true
        convertedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentExternalType:
      enum:
        - CHECK
        - BANK_TRANSFER
        - OTHER_GIFT_CARD
        - CRYPTO
        - SQUARE_CASH
        - SOCIAL
        - EXTERNAL
        - E_MONEY
        - CARD
        - STORED_BALANCE
        - FOOD_VOUCHER
        - OTHER
      type: string
    DTOMoneyConversion:
      type: object
      properties:
        originalAmount:
          type: number
          format: double
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
        convertedAt:
          type: string
          format: date-time
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentProcessingFeeType:
      enum:
        - INITIAL
        - AJUSTMENT
      type: string
    ModelsReceiptPaymentsSBReceiptPaymentRiskLevel:
      enum:
        - NORMAL
        - ELEVATED
        - HIGH
      type: string
    PaymentMethodsSBPaymentMethodCardResponse:
      type: object
      properties:
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        tokenizationMethod:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int64
        expirationYear:
          type: integer
          format: int64
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodBankResponse:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        institutionNumber:
          type: string
          nullable: true
        transitNumber:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodGiftCardResponse:
      type: object
      properties:
        provider:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        balance:
          type: integer
          format: int64
          nullable: true
        currency:
          type: string
          nullable: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
        notes:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false
    PaymentMethodsPaymentMethodCardFingerprint:
      type: object
      properties:
        fingerprint:
          type: string
          nullable: true
        provider:
          $ref: >-
            #/components/schemas/ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider
      additionalProperties: false
    ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider:
      enum:
        - STRIPE
        - SQUARE
      type: string

````